> ## Documentation Index
> Fetch the complete documentation index at: https://chainpatrol.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Asset Changelog

> Asset changelog. Assets can be changed for various reasons, such as false positives, false negatives or normal reviews.

## Quick Start

### Authentication

Include your API key in the `X-API-KEY` header:

```bash theme={null}
X-API-KEY: <api-key>
```


## OpenAPI

````yaml POST /asset/changelog
openapi: 3.0.3
info:
  title: ChainPatrol External API - OpenAPI 3.0
  description: ChainPatrol External API documentation
  version: 2.0.0
servers:
  - url: https://app.chainpatrol.io/api/v2
security: []
tags:
  - name: asset
  - name: report
externalDocs:
  url: https://chainpatrol.com/docs
paths:
  /asset/changelog:
    post:
      tags:
        - asset
      summary: Asset changelog
      description: >-
        Asset changelog. Assets can be changed for various reasons, such as
        false positives, false negatives or normal reviews.
      operationId: assetChangelog
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - URL
                    - PAGE
                    - ADDRESS
                    - DISCORD
                    - LINKEDIN
                    - TWITTER
                    - FACEBOOK
                    - YOUTUBE
                    - REDDIT
                    - TELEGRAM
                    - GOOGLE_APP_STORE
                    - APPLE_APP_STORE
                    - AMAZON_APP_STORE
                    - MICROSOFT_APP_STORE
                    - TIKTOK
                    - INSTAGRAM
                    - THREADS
                    - MEDIUM
                    - CHROME_WEB_STORE
                    - MOZILLA_ADDONS
                    - OPERA_ADDONS
                    - EMAIL
                    - PATREON
                    - OPENSEA
                    - FARCASTER
                    - IPFS
                    - GOOGLE_FORM
                    - WHATSAPP
                    - DISCORD_USER
                    - QUORA
                    - GITHUB
                    - TEACHABLE
                    - SUBSTACK
                    - DEBANK
                    - TAWK_TO
                    - JOTFORM
                    - PRIMAL
                    - BLUESKY
                    - SNAPCHAT
                    - DESO
                    - PINTEREST
                    - FLICKR
                    - GALXE
                    - VELOG
                    - NPM
                    - PYPI
                    - HEX
                    - DOCKER_HUB
                    - VOCAL_MEDIA
                    - TECKFINE
                    - TENDERLY
                    - HACKMD
                    - ETSY
                    - ZAZZLE
                    - BASENAME
                    - BILIBILI_TV
                    - VIMEO
                    - DAILYMOTION
                    - PHONE_NUMBER
                    - SLACK
                    - CALENDLY
                    - NGROK
                    - RARIBLE
                    - RUST_PACKAGE
                    - FLATHUB
                    - VIDLII
                    - VEVIOZ
                    - ISSUU
                    - SOUNDCLOUD
                    - ZAPPER
                    - REDNOTE
                    - SAMSUNG_APP_STORE
                    - HUAWEI_APP_STORE
                    - XIAOMI_APP_STORE
                    - TENCENT_APP_STORE
                    - OPPO_APP_STORE
                    - VIVO_APP_STORE
                    - F_DROID
                    - GOOGLE_AD
                    - BING_AD
                    - TWITCH
                    - BEHANCE
                    - ZORA
                    - META_AD
                    - SIGNAL
                    - DEVIANTART
                    - BANDCAMP
                    - ARCHIVE_ORG
                    - FIVE_HUNDRED_PX
                content:
                  type: string
                fromStatus:
                  type: string
                  enum:
                    - UNKNOWN
                    - ALLOWED
                    - BLOCKED
                toStatus:
                  type: string
                  enum:
                    - UNKNOWN
                    - ALLOWED
                    - BLOCKED
                startDate:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
                endDate:
                  type: string
                  pattern: ^\d{4}-\d{2}-\d{2}$
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  changelog:
                    type: array
                    items:
                      type: object
                      properties:
                        assetId:
                          type: number
                        type:
                          type: string
                          enum:
                            - URL
                            - PAGE
                            - ADDRESS
                            - DISCORD
                            - LINKEDIN
                            - TWITTER
                            - FACEBOOK
                            - YOUTUBE
                            - REDDIT
                            - TELEGRAM
                            - GOOGLE_APP_STORE
                            - APPLE_APP_STORE
                            - AMAZON_APP_STORE
                            - MICROSOFT_APP_STORE
                            - TIKTOK
                            - INSTAGRAM
                            - THREADS
                            - MEDIUM
                            - CHROME_WEB_STORE
                            - MOZILLA_ADDONS
                            - OPERA_ADDONS
                            - EMAIL
                            - PATREON
                            - OPENSEA
                            - FARCASTER
                            - IPFS
                            - GOOGLE_FORM
                            - WHATSAPP
                            - DISCORD_USER
                            - QUORA
                            - GITHUB
                            - TEACHABLE
                            - SUBSTACK
                            - DEBANK
                            - TAWK_TO
                            - JOTFORM
                            - PRIMAL
                            - BLUESKY
                            - SNAPCHAT
                            - DESO
                            - PINTEREST
                            - FLICKR
                            - GALXE
                            - VELOG
                            - NPM
                            - PYPI
                            - HEX
                            - DOCKER_HUB
                            - VOCAL_MEDIA
                            - TECKFINE
                            - TENDERLY
                            - HACKMD
                            - ETSY
                            - ZAZZLE
                            - BASENAME
                            - BILIBILI_TV
                            - VIMEO
                            - DAILYMOTION
                            - PHONE_NUMBER
                            - SLACK
                            - CALENDLY
                            - NGROK
                            - RARIBLE
                            - RUST_PACKAGE
                            - FLATHUB
                            - VIDLII
                            - VEVIOZ
                            - ISSUU
                            - SOUNDCLOUD
                            - ZAPPER
                            - REDNOTE
                            - SAMSUNG_APP_STORE
                            - HUAWEI_APP_STORE
                            - XIAOMI_APP_STORE
                            - TENCENT_APP_STORE
                            - OPPO_APP_STORE
                            - VIVO_APP_STORE
                            - F_DROID
                            - GOOGLE_AD
                            - BING_AD
                            - TWITCH
                            - BEHANCE
                            - ZORA
                            - META_AD
                            - SIGNAL
                            - DEVIANTART
                            - BANDCAMP
                            - ARCHIVE_ORG
                            - FIVE_HUNDRED_PX
                        content:
                          type: string
                        fromStatus:
                          type: string
                          enum:
                            - UNKNOWN
                            - ALLOWED
                            - BLOCKED
                        toStatus:
                          type: string
                          enum:
                            - UNKNOWN
                            - ALLOWED
                            - BLOCKED
                        updatedAt:
                          type: string
                      required:
                        - assetId
                        - type
                        - content
                        - fromStatus
                        - toStatus
                        - updatedAt
                required:
                  - changelog
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - ApiKey: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key. This is required by most endpoints to access our API
        programatically. Reach out to us at
        [support@chainpatrol.io](mailto:support@chainpatrol.io?subject=Re:%20API%20Key%20for%20SDK&body=Company:%20%0AName:%20%0APurpose:%20)
        to get an API key for your use.

````